Interpolation::Impl Class Referenceabstract

abstract base class for interpolation implementations More...

`#include <ql/math/interpolation.hpp>`

Inheritance diagram for Interpolation::Impl:
[legend]

## Public Member Functions

virtual void | update ()=0
virtual Real | xMin () const =0
virtual Real | xMax () const =0
virtual std::vector< Real > | xValues () const =0
virtual std::vector< Real > | yValues () const =0
virtual bool | isInRange (Real) const =0
virtual Real | value (Real) const =0
virtual Real | primitive (Real) const =0
virtual Real | derivative (Real) const =0
virtual Real | secondDerivative (Real) const =0

## Detailed Description

abstract base class for interpolation implementations